# List notifications for the authenticated user (/docs/api-reference/notifications/NotificationsController_findAll)

`GET /api/factories/{factoryId}/notifications`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `unreadOnly` | query | no | string | Only return unread notifications |
| `limit` | query | no | string | Max rows to return (default 50, clamped 1..200) |
| `offset` | query | no | string | Rows to skip for pagination (default 0, min 0) |

## Responses

### 200: List of notifications